Bug 57184 - Object kernel.o cause ld to crash
Summary: Object kernel.o cause ld to crash
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-06 16:31 UTC by Charles Lopes
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-17 09:04:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
object file that causes the segfault (257.57 KB, application/octet-stream)
2001-12-06 16:33 UTC, Charles Lopes
no flags Details

Description Charles Lopes 2001-12-06 16:31:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
When compiling a vanilla linux 2.4.16 kernel, ld crashes while linking
vmlinux. It seems that kernel.o is the culprit. Trying to link kernel.o is
enough to reproduce the problem. The problem only occurs with
binutils-2.11.92.0.12-2. binutils-2.11.90.0.8-9 works fine with the same file.

Version-Release number of selected component (if applicable):
2.11.92.0.12-2


How reproducible:
Always

Steps to Reproduce:
1. ld -o test kernel.o

	

Actual Results:  ld: warning: cannot find entry symbol _start; defaulting
to 08048080
kernel.o: In function `cpu_idle':
kernel.o(.text+0x7a): undefined reference to `init_idle'
kernel.o(.text+0xca): undefined reference to `schedule'
kernel.o(.text+0xcf): undefined reference to `check_pgt_cache'
kernel.o: In function `machine_real_restart':
kernel.o(.text+0x10c): undefined reference to `swapper_pg_dir'
kernel.o(.text+0x114): undefined reference to `swapper_pg_dir'
kernel.o(.text+0x126): undefined reference to `swapper_pg_dir'
kernel.o(.text+0x131): undefined reference to `pg0'
kernel.o: In function `machine_restart':
kernel.o(.text+0x1f3): undefined reference to `__const_udelay'
kernel.o(.text+0x203): undefined reference to `__const_udelay'
Segmentation fault


Expected Results:  only "undefined reference to .." and no segmentation fault


Additional info:
I can send you the object file if necessary

Comment 1 Charles Lopes 2001-12-06 16:33:41 UTC
Created attachment 39907 [details]
object file that causes the segfault

Comment 2 Charles Lopes 2001-12-17 09:04:51 UTC
It's fixed in binutils 2.11.92.0.12-3. Please close this bug report


Note You need to log in before you can comment on or make changes to this bug.